/*----------------------------------------------------------------- */
/* FRONT-END
/*----------------------------------------------------------------- */

/* GENERAL
----------------------------------------- */

html 
{
    scroll-padding-top: 200px;
}

.brxe-nav-menu a {
	transition: color var(--wm-transition-duration__default);
}

.brxe-nav-menu .active-item > a {
	cursor: default;
	pointer-events: none;
}

.wp-block-image>a, .wp-block-image>figure>a
{
	border-bottom: 0px;
}

/* HEADER
----------------------------------------- */

/* fix for bricks mobile menu */
#brx-header .brxe-nav-menu .bricks-mobile-menu {
	padding: 60px 0 45px 0;
}

/* active menu item on CPT singles */
.brxe-nav-menu ul > .active-item_archive-ancestor > a {
	/* something here */
}

header
{
    will-change: height, padding;
}

header.scrolling,
header.scrolling figure.e_header_sublogo,
header.scrolling .bricks-site-logo,
header.scrolling #brxe-lzqzjf
{
	transition: 
		height 0.3s ease-in,
		max-width 0.3s ease-in,
		padding 0.3s ease-in;
}

header,
header figure.e_header_sublogo,
header .bricks-site-logo,
header #brxe-lzqzjf
{
	transition: 
		height 0.3s ease-out,
		max-width 0.3s ease-out,
		padding 0.3s ease-out;
}

header.scrolling figure.e_header_sublogo:first-child
{
	width: 53px !important;
	height: 25px !important;
}

header.scrolling figure.e_header_sublogo:last-child
{
	width: 46px !important;
	height: 25px !important;
}

header.scrolling figure.e_header_sublogo img
{
	display: block;
}

header.scrolling .bricks-site-logo
{
	max-width: 75%;
}

header.scrolling #brxe-lzqzjf
{
	padding-top: 8px;
	padding-bottom: 8px;
}

.brx-submenu-toggle.icon-right button
{
	transition: color var(--wm-transition-duration__default);
}

@media (max-width: 1024px) 
{
    #brxe-hmgkbb .bricks-mobile-menu > .current-menu-parent > .brx-submenu-toggle > * 
	{
        color: currentColor !important;
    }
}

/* CONTENT
----------------------------------------- */

/* --- GENERAL --- */

.wp-block-heading
{
	margin: 2.4em 0 1.2em 0;
}

#brx-content p,
#brx-content span {
	line-height: var(--wm-line-height__default);
}

/*.brxe-post-content[data-source="editor"] a:not(.wp-element-button),
.brxe-text a {
	transition: text-decoration var(--wm-transition-duration__default);
	text-decoration: underline;
}

.brxe-post-content[data-source="editor"] a:not(.wp-element-button):hover,
.brxe-text a:hover {
	text-decoration: none;
	text-decoration: underline transparent solid;
}*/

.wp-block-columns {
	gap: 40px;
}

.wp-block-image,
.wp-block-video,
figcaption,
figure {
	margin-top: 0;
}

/* --- BUTTONS --- */
.wp-element-button {
	margin-top: 20px;
}

a.wp-element-button {
	font-size: var(--wm-font-size__default);
	font-weight: 400;
	line-height: normal;

	padding: 12px 24px;

	transition: background-color var(--wm-transition-duration__default);
	text-align: center;
	text-decoration: none;

	color: var(--wm-color__white);
	border: none;
	border-radius: 0;
	background-color: var(--wm-color__blue);
}

a.wp-element-button:hover {
	background-color: var(--wm-color__blue-dark);
}

/* --- IMAGES --- */

main picture,
main .brxe-video,
main figure img
{
	border-radius: var(--wm-border__def);
}

main figure.wp-block-image a
{
	border-bottom: unset;
}

/* --- LISTS --- */
.brxe-post-content ul,
.brxe-text ul {
	padding-left: 22px;
}

.brxe-post-content ol,
.brxe-text ol {
	padding-left: 26px;

	counter-reset: list-counter;
}

.brxe-post-content ol ol,
.brxe-text ol ol {
	padding-left: 40px;

	counter-reset: list-counter;
}

.brxe-post-content ul li,
.brxe-post-content ol li,
.brxe-text ul li,
.brxe-text ol li {
	margin-bottom: 5px;
}

.brxe-post-content ul li::marker,
.brxe-text ul li::marker {
	content: "●  ";

	color: var(--wm-color__black);
}

.brxe-post-content ul ul > li::marker,
.brxe-text ul ul > li::marker {
	content: "⚬  ";
}

.brxe-post-content ol > li,
.brxe-text ol > li {
	counter-increment: list-counter;
}

.brxe-post-content ol > li::marker,
.brxe-text ol > li::marker {
	font-weight: 700;

	content: counters(list-counter, ".") ".  ";

	color: var(--wm-color__black);
}

.brxe-post-content ul ul,
.brxe-post-content ul ol,
.brxe-post-content ol ol,
.brxe-post-content ol ul,
.brxe-text ul ul,
.brxe-text ul ol,
.brxe-text ol ol,
.brxe-text ol ul {
	margin-top: 5px;
	margin-bottom: 0;
}

/* --- TABLES --- */
.wm-table,
.table-wrapper {
	overflow-y: auto;

	width: 100%;
}

.wm-table::-webkit-scrollbar,
.table-wrapper::-webkit-scrollbar {
	width: 12px;
	height: 12px;

	-webkit-appearance: none;
}

.wm-table::-webkit-scrollbar-thumb,
.table-wrapper::-webkit-scrollbar-thumb {
	border: 3px solid var(--wm-color__white);
	border-radius: 8px;
	background-color: rgba(0, 0, 0, 0.1);
}

.wm-table table,
.table-wrapper table {
	width: 100%;
	min-width: 560px;

	table-layout: fixed;
}

.wm-table table td,
.wm-table table th,
.table-wrapper table td,
.table-wrapper table th 
{
	padding: 10px 16px;
	text-align: left;
}

@media (max-width: 767px)
{
	.wm-table table td,
	.wm-table table th,
	.table-wrapper table td,
	.table-wrapper table th 
	{
		padding: 8px 12px;
	}
}

.wm-table table thead th,
.wm-table table thead td,
.table-wrapper table thead th,
.table-wrapper table thead td {
	text-align: left;

	color: var(--wm-color__white);
	background-color: var(--wm-color__blue);
}

.wm-table table tbody td,
.table-wrapper table tbody td {
	background-color: rgba(0, 0, 0, 0.1);
}

.wm-table table tr:first-child td,
.wm-table table tr:first-child th,
.table-wrapper table tr:first-child td, 
.table-wrapper table tr:first-child th
{	
	background: #F6F6F6;
    border-top: 4px solid var(--wm-color__blue);
    color: var(--wm-color__blue);
    font-weight: bold;
}

.table-wrapper table
{
	margin-bottom: var(--wm-padding__container);
}

/* --- FORMS --- */

.brxe-shortcode .frm-fluent-form .ff-t-container {
	gap: 15px;
}

.brxe-shortcode .fluentform .ff-el-form-control {
	font-size: inherit;
	line-height: 50px;

	height: 50px;
	padding-right: 15px;
	padding-left: 15px;

	border: 2px solid var(--bricks-border-color);
	border-radius: 16px;
}

.brxe-shortcode .fluentform .ff-el-form-control:focus {
	border-color: var(--wm-color__blue);
}

.brxe-shortcode .fluentform textarea.ff-el-form-control {
	height: 150px;
	padding-top: 12px;
	padding-bottom: 12px;
}

.brxe-shortcode .fluentform .ff-custom_html p,
.brxe-shortcode .fluentform .ff_t_c {
	font-size: 1.6rem;
	line-height: 2.5rem;

	color: var(--wm-color__dark);
}

.brxe-shortcode .fluentform .ff-el-tc,
.brxe-shortcode .fluentform .ff_submit_btn_wrapper
{
	display: flex;
	justify-content: center;
}

.brxe-shortcode .fluentform .ff_submit_btn_wrapper
{
	margin-bottom: 0;
}

.brxe-shortcode .fluentform .ff-custom_html p a {
	color: var(--wm-color__blue);
}

.brxe-shortcode .fluentform .ff-btn {
	font-family: inherit;
}

.brxe-shortcode .fluentform .ff-message-success {
	margin: 30px 0;

	text-align: center;

	color: #fff;
	border: none;
	background: #4caf50;
	box-shadow: none;
}

.brxe-shortcode .ff-default .ff-el-input--label label
{
	font-weight: 700;
	color: var(--wm-color__dark);
}

@media (max-width: 760px) {
	.brxe-shortcode .fluentform .ff-el-form-control {
		line-height: 40px;

		height: 40px;
		padding-right: 15px;
		padding-left: 15px;
	}

	.brxe-shortcode .fluentform textarea.ff-el-form-control {
		height: 120px;
		padding-top: 10px;
		padding-bottom: 10px;
	}
}

/* PRODUCT DETAIL
----------------------------------------- */

:where(.brxe-image).caption:has(figcaption.bricks-image-caption)
{
	overflow: unset;
}

:where(.brxe-image).caption:has(figcaption.bricks-image-caption) 
{
    overflow: unset;
}

:where(.brxe-image).caption:has(figcaption.bricks-image-caption) figcaption
{
	position: relative;
    background: transparent;
    color: var(--wm-color__dark);
	line-height: 1.3;
    font-size: 1.4rem;
	padding: 8px 0 0 0px;
}

.e_productpr_variants_img
{
	border-radius: var(--wm-border__def);
}

.e_productpr_variants_img img
{
	max-height: 250px;
}

@media (max-width: 1199px)
{
	.e_productpr_variants_img img
	{
		max-height: 180px;
	}
}

.c_product_left .bricks-nav-menu > li
{
	border-bottom: 1px solid var(--wm-color__blue-light);
}

.e_number-benefits li::before
{
	position: absolute;
    left: -22px;
    top: 0;
    counter-increment: num-benefit;
    content: counter(num-benefit);
    color: #fff;
    background: #1F3D59;
    padding: 0 0.5em;
}

.e_number-benefits ul li
{
	list-style: none;
	display: block;
	padding-left: 18px;
    position: relative;
    margin-bottom: 16px;
}

.e_number-benefits ul li:last-child
{
	margin-bottom: 0;
}

.e_number-benefits ul 
{
    counter-reset: num-benefit;
}

.c_product_left .bricks-nav-menu>li.menu-item-has-children:hover:before
{
	display: none;
}

.c_product_left .bricks-nav-menu > li
{
	padding-bottom: var(--wm-gap__s);
	margin-bottom: var(--wm-gap__s);
}

.c_product_left .bricks-nav-menu > li .brx-submenu-toggle button {
	display: none;
}

.c_product_left .bricks-nav-menu > li .sub-menu {
	display: block !important;
	position: relative;
	background: transparent;
	box-shadow: none;
	min-width: 0;
	visibility: visible;
	opacity: unset;
	white-space: normal;
	z-index: 1 !important;
}

/* FOOTER
----------------------------------------- */
.e_logo_partner img
{
	height: 60px;
	width: 100%;
}

.e_logo_partner picture source
{
	display: none;
}